//Ex3_20.cpp
#include "iostream" 
#include "cmath" 
using namespace std;
void main() 
{ double x0,x1,f1x,fx; 
  x1=1.5; 
  do 
  {x0=x1; 
   fx=2*x0*x0*x0-4*x0*x0+3*x0-6; 
   f1x=6*x0*x0-8*x0+3;    //f(x0) 的导数 
   x1=x0-fx/f1x; 
  }while(fabs(x1-x0)>1.0e-5); 
  cout<<"方程的根是:"<<x1<<endl; 
}
